### Method

# GtkSource SearchContext forward

#### Declaration [src]

    gboolean
    gtk_source_search_context_forward (
      GtkSourceSearchContext* search,
      const GtkTextIter* iter,
      GtkTextIter* match_start,
      GtkTextIter* match_end,
      gboolean* has_wrapped_around
    )

#### Description [src]

Synchronous forward search.

It is recommended to use the asynchronous functions instead, to not block the user interface. However, if you are sure that the `buffer` is small, this function is more convenient to use.

If the `GtkSourceSearchSettings:wrap-around` property is `FALSE`, this function doesn’t try to wrap around.

The `has_wrapped_around` out parameter is set independently of whether a match is found. So if this function returns `FALSE`, `has_wrapped_around` will have the same value as the `GtkSourceSearchSettings:wrap-around` property.

#### Parameters

`iter`

  Type: `GtkTextIter`

  Start of search.

  The data is owned by the caller of the method.

`match_start`

  Type: `GtkTextIter`

  Return location for start of match, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`match_end`

  Type: `GtkTextIter`

  Return location for end of match, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`has_wrapped_around`

  Type: `gboolean*`

  Return location to know whether the search has wrapped around, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

Whether a match was found.